Skip to main content

How to bypass Android pattern lock using CMD.

Many of you have encountered the situation where you forget your phone's pattern lock. This is totally common and we can't deny this. Then after trying all the combinations in mind and losing hope we just choose to reset our phone.

But here I am providing you with the solution to this problem. You can just open up your phone following these few steps and without undergoing any trouble of losing your data and wasting your time. 


Yes, I am talking about bypassing the pattern lock you used to unlock your phone. This procedure will be done using CMD. CMD, also known as command prompt is an amazing tool provided in Windows OP. You can control your entire computer using CMD which includes copying files from one folder to another, hiding your files, checking details of connected wireless devices and even shutting down your PC. You just need to learn some easy commands.


How to bypass Pattern lock on your Android Phone?




Before trying to Bypass the pattern lock you need to first check few things.
  1. Make sure your computer is set up with ADB (Android Debug Bridge).

    Download ADB files and drivers.
  2. Make sure you have enabled "USB DEBUGGING" on your phone.

    Go to Settings > Developer Option > USB debugging > Check the box.
Now when you are done with the above-mentioned checklist, follow the given steps.

Open ADB folder

  • Plug-in your Mobile handset to your PC using the USB cable and make sure that you have an active pattern lock
  • Now right click on ADB folder while pressing the SHIFT key and select "Open with Command Prompt". The mentioned folder will be in Local Disk C.
  • On the CMD window type adb devices then hit enter.
  • Now type adb shell then hit enter.
  • Now shell will open, type su (superuser, you are now a root user).
  • After entering type rm/data/system/gesture.key then hit enter.
  • After all, these steps unplug your phone from PC and you are good to go.
You can now enter any pattern and your mobile device will accept it without any "Wrong Pattern" notice. If you feel uneasy with your phone being unlocked using any pattern you can change the pattern and all settings will reset. Doing so will allow your handset to open with now provided pattern lock.

(If you are thinking that bypassing pattern lock will affect your phone performance then you need no to worry about such thing.)

To change the pattern lock
Go to settings > security > Screen Lock > Change the pattern.

Note: Use this method to get out of trouble not to get into one...

Hi, thanks for reading my post, I hope you enjoyed it. So, if you want me to keep you updated with the tech references in coming future please do share your valuable comments with me and also do not forget to share it with your friends....:)

Comments

Popular posts from this blog

1721 - Swapping Nodes in a Linked List.

Hi, Today we will be solving leetcode qs 1721 - Swapping Nodes in a Linked List. This qs is really simple. We need to swap the nodes placed at k distance from the start and end of the Linked List. So let's suppose you have a Linked List input as follows: 1 -> 2-> 4 -> 5 -> 7 -> 8 -> 10-> 9  and you are given a k = 2, so the output should be 1 -> 10 -> 4 -> 5 -> 7 -> 8 -> 2 -> 9 so how do we achieve it??? Intuition The most brute force solution one can think of is using Array data structure. For that, we will traverse through linked List and store all the elements in the Array, swap the two numbers and again insert it in theLinked List again. Not bad, but let's deal with it, it is not the optimal solution and far from being as an acceptable solution in interviews. So what can we done instead of that??? Let's try to look deep into the working of Linked List first and how do we traverse it. Linked List is a linear data structure that

1456, Maximum Number of Vowels in a Substring of Given Length

Hi, folks today I am here with an interesting coding problem from Leetcode. *To directly go to the question please click here. So I will walk through the solution. It will be a brute force and an optimized way solution. I will be explaining the optimized way solutions in depth. # Intuition For any substring of length k, we need to find how many vowels are there in it and provide the highest count of all counts of vowels in a substring. Test Case 1 Input k = 2 and s='asjdee' Output - 2 Explanation: As for substring of length k=2, in the string 's' we have 'ee' when the length is k and the vowels count is 2 Test Case 2 Input k=3 and s='aasdiisdwe' Output - 2 Explanation - For all the substrings with length k = 3 we have 'aas' and 'dii' with 2 vowels each in it. Brute Force - Looping (twice) - Gives TLE (Not recommended) # Approach Create a hashmap (dictionary) with all the vowels in it. Loop through the string till len(s)-k element of strin

1235. Maximum Profit in Job Scheduling

Hi everyone, Today's post is little bit intriguing to me as it took me some time to get t the solution. I have been out of practice for a bit so I was not able to do it in the DP. I didn't want to copy the code. Though i understood the code after i checked its solution in the discussions. Anyways, i tried to do it with heap and with some thinking I was able to do it and with my surprise It performed real well. I would like to jump to the solution but first I would like to explain a little bit about heaps so you can get better understanding of the code. A heap is like a special type of list where the smallest (or largest) item is always at the front. Think of it like a priority line at a theme park, where the person with the highest priority goes to the front. There are two types of heaps: Min Heap: The smallest item is at the front. It's like standing in a line where the shortest person is always at the front. Max Heap: The largest item is at the front. It's like stand